package pps.core.base.excel;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import pps.core.base.service.BaseLineService;
import pps.core.base.service.data.third_weather_data.ThirdApiWeatherExcelData;
import xstartup.base.XContext;

import java.util.ArrayList;
import java.util.List;

/**
 * 天气数据监听器
 *
 * @author ZWT
 * @date 2024/04/30 11:04
 */
public class ThirdApiWeatherDataListener implements ReadListener<ThirdApiWeatherExcelData> {

    private XContext context;


    public ThirdApiWeatherDataListener(XContext context) {
        this.context = context;
    }

    /**
     * 缓存的数据
     */
    private List<ThirdApiWeatherExcelData> cachedDataList = new ArrayList<>(4096);

    @Override
    public void invoke(ThirdApiWeatherExcelData thirdApiWeatherData, AnalysisContext analysisContext) {
        cachedDataList.add(thirdApiWeatherData);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        BaseLineService bean = context.getBean(BaseLineService.class);
        bean.saveHistory(context,cachedDataList);
    }
}
