package pps.core.base.service.data.base_excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import pps.core.common.excel.ExcelSelected;
import pps.core.base.service.OilExtractionPlantImpl;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * excel光伏电站模板
 *
 * @author ZWT
 * @date 2024/05/07
 */
@Data
public class ExcelPhotovoltaicPlantTemplate implements Serializable {

    private static final long serialVersionUID = -9069694443646671657L;

    /**
     * 所在省
     */
    @ExcelProperty(index = 0, value = "所在省")
    private String province;

    /**
     * 所在市
     */
    @ExcelProperty(index = 1, value = "所在市")
    private String city;

    /**
     * 采油厂名称
     */
    @ExcelSelected(sourceClass = OilExtractionPlantImpl.class)
    @ExcelProperty(index = 2, value = "采油厂名称")
    private String ouName;

    /**
     * 电站名称
     */
    @ExcelProperty(index = 3, value = "电站名称")
    private String stationName;

    /**
     * 逆变器出厂编号
     */
    @ExcelProperty(index = 4, value = "逆变器出厂编号")
    private String makerNumber;

    /**
     * 逆变器规格型号
     */
    @ExcelProperty(index = 5, value = "逆变器规格型号")
    private String photovoltaicModelName;

    /**
     * 安装倾角(°)
     */
    @ExcelProperty(index = 6, value = "安装倾角(°)")
    private BigDecimal mountingAngle;

    /**
     * 装机总量(KWP)
     */
    @ExcelProperty(index = 7, value = "装机总量(KWP)")
    private BigDecimal totalPower;

    /**
     * 阵列朝向
     */
    @ExcelProperty(index = 8, value = "阵列朝向")
    private BigDecimal arrayOrientation;

    /**
     * 经度(°)
     */
    @ExcelProperty(index = 9, value = "经度(°)")
    private BigDecimal longitude;

    /**
     * 纬度(°)
     */
    @ExcelProperty(index = 10, value = "纬度(°)")
    private BigDecimal latitude;

    /**
     * 高程(m)
     */
    @ExcelProperty(index = 11, value = "高程(m)")
    private BigDecimal elevation;
}