package pps.core.prediction.excel.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import pps.core.prediction.service.ThirdDataAccessCloudServiceImpl;
import pps.core.prediction.service.data.third_active_power.ThirdActivePowerExcelData;
import xstartup.base.XContext;

import java.util.ArrayList;
import java.util.List;

/**
 * 有功功率监听器
 *
 * @author ZWT
 * @date 2024/04/30 11:04
 */
public class ThirdActivePowerDataListener implements ReadListener<ThirdActivePowerExcelData> {

    private XContext context;


    public ThirdActivePowerDataListener(XContext context) {
        this.context = context;
    }

    /**
     * 缓存的数据
     */
    private List<ThirdActivePowerExcelData> cachedDataList = new ArrayList<>(4096);

    @Override
    public void invoke(ThirdActivePowerExcelData thirdApiWeatherData, AnalysisContext analysisContext) {
        cachedDataList.add(thirdApiWeatherData);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        ThirdDataAccessCloudServiceImpl bean = context.getBean(ThirdDataAccessCloudServiceImpl.class);
        bean.thirdActivePowerHistory(context, cachedDataList);
    }
}