package pps.core.prediction.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.prediction.entity.ThirdActivePowerDailyUpdateView;

import java.util.Date;
import java.util.List;

/**
 * 第三方有功功率(每日最新数据)
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Repository(value = "pps.core.prediction.mapper.ThirdActivePowerDailyUpdateViewMapper")
public interface ThirdActivePowerDailyUpdateViewMapper {
    ThirdActivePowerDailyUpdateView selectOne(ThirdActivePowerDailyUpdateView record);

    List<ThirdActivePowerDailyUpdateView> selectList(ThirdActivePowerDailyUpdateView record);

    /**
     * 删除当日最新数据
     *
     * @param list       列表
     * @param currentDay 当前日期
     * @return int
     */
    int deleteByCurrentDayData(@Param(value = "list") List<ThirdActivePowerDailyUpdateView> list,
                               @Param(value = "currentDay") Date currentDay);

    /**
     * 删除当日最新数据
     *
     * @param list           列表
     * @param currentDayList 日期列表
     * @return int
     */
    int deleteByCurrentDayDataList(@Param(value = "list") List<ThirdActivePowerDailyUpdateView> list,
                               @Param(value = "currentDayList") List<Date> currentDayList);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<ThirdActivePowerDailyUpdateView> list);

    /**
     * 查询用能曲线
     *
     * @param record 记录
     * @return {@link List}<{@link ThirdActivePowerDailyUpdateView}>
     */
    List<ThirdActivePowerDailyUpdateView> selectEnergyUseCurve(ThirdActivePowerDailyUpdateView record);
}
